Đến nội dung


Hình ảnh
- - - - -

lips cad vẽ nét cắt cột tròn


  • Please log in to reply
3 replies to this topic

#1 chatbumbum

chatbumbum

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 November 2010 - 10:53 PM

các bạn giúp mình tìm lips vẽ ký hiệu vệt cắt cột tròn nhe. cám ơn rất nhiều
  • 0

#2 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 26 November 2010 - 11:49 PM

các bạn giúp mình tìm lips vẽ ký hiệu vệt cắt cột tròn nhe. cám ơn rất nhiều

Mình không hiểu ý của bạn. Bạn giải thích rõ hơn được không. bạn nên gửi file mẫu lên và ghi rõ kết quả mong muốn.
  • 0
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#3 npham

npham

    biết lệnh rotate

  • Members
  • PipPipPip
  • 136 Bài viết
Điểm đánh giá: 75 (tàm tạm)

Đã gửi 27 November 2010 - 12:19 AM

các bạn giúp mình tìm lips vẽ ký hiệu vệt cắt cột tròn nhe. cám ơn rất nhiều


Bạn thử cái này xem.

(Defun C:cottron (/ p1 p2 p3 p5 p11 p12 p13 l)
(setq dk (getreal "\nNhap duong kinh:"))
(setq p (getpoint "\nDiem dau:"))
(setq pt2 (getpoint p "\nDiem cuoi:"))
(setq l (distance p pt2))
(setq goc (angle p pt2))

(setq p1 (polar p (+ goc (/ pi 2.0)) (/ dk 2.0)))
(setq p2 (polar p1 goc l))
(setq p3 (polar p (- goc (/ pi 2.0)) (/ dk 2.0)))
(setq p4 (polar p3 goc l))
(setq p5 (polar p goc l))


(command "line" p1 p2 "")
(command "line" p3 p4 "")

(setq p11 (polar p5 (+ goc (/ pi 2.0)) (/ dk 4.0)))
(setq p11 (polar p11 goc (/ dk 8.0)))
(setq p12 (polar p5 (- goc (/ pi 2.0)) (/ dk 4.0)))
(setq p12 (polar p12 goc (/ dk 8.0)))
(setq p13 (polar p12 (- pi goc) (/ dk 4.0)))

(command "spline" p2 p11 p5 p13 p4 p12 p5 "" "" "")

)


  • 0

#4 chatbumbum

chatbumbum

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 03 March 2012 - 09:02 AM

CÁM ƠN BẠN RẤT NHIỀU, THANKS
  • 0